Bug 730865 - Please Update
Summary: Please Update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gammu
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 798472
TreeView+ depends on / blocked
 
Reported: 2011-08-16 02:14 UTC by Onyeibo Oku
Modified: 2013-11-07 03:34 UTC (History)
4 users (show)

Fixed In Version: gammu-1.33.0-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-09 23:49:18 UTC


Attachments (Terms of Use)

Description Onyeibo Oku 2011-08-16 02:14:35 UTC
Description of problem:
Gammu in Fedora repos are still at 1.26

Version-Release number of selected component (if applicable):
1.26.1-6.fc15

How reproducible:
certain

Steps to Reproduce:
1. run 'yum list gammu'

  
Actual results:
1.26.1-6.fc15

Expected results:
1.30.x

Additional info:
Wammu is also affected. It is presently at 0.30.1-4.fc15 while release version at wammu site is 0.35.x

Comment 1 Karel Volný 2011-09-29 11:35:34 UTC
I've tried to recompile the new version on F15, and after a few changes there is no problem - Koji scratch build here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3388085

spec diff below; note that these are just quick hacks to get it running, I do not guarantee correctness, I merely tried to start the application, no gammu phone commands tried ...


diff --git a/gammu.spec b/gammu.spec
index 8738437..5c5115b 100644
--- a/gammu.spec
+++ b/gammu.spec
@@ -1,15 +1,15 @@
 %{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
 
 Name:          gammu
-Version:        1.26.1
-Release:        6%{?dist}
+Version:        1.30.0
+Release:        1%{?dist}
 Summary:        Command Line utility to work with mobile phones
 
 Group:          Applications/System
 License:        GPLv2+
 URL:            http://cihar.com/gammu/
 Source0:        ftp://dl.cihar.com/gammu/releases/%{name}-%{version}.tar.bz2
-Patch0:         %{name}-1.26.1-exec.patch
+#Patch0:         %{name}-1.26.1-exec.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires: autoconf, gettext, cmake
@@ -74,7 +74,7 @@ developing applications that use %{name}
 
 %prep
 %setup -q
-%patch0 -p1 -b .exec
+#%patch0 -p1 -b .exec
 
 #sed -i 's|${INSTALL_LIB_DIR}|%{_libdir}|' CMakeLists.txt libgammu/CMakeLists.txt \
 #                              smsd/CMakeLists.txt gammu/CMakeLists.txt
@@ -95,13 +95,13 @@ pushd build
 make
 popd
 
-#fix lines ending 
-for docs in \
-       docs/develop/{protocol/'*',sounds/*,sms/'*'}    \
-       docs/develop/{*.htm,*.txt}                      \
-       docs/user/*.* ; do
-       sed -e 's/\r//' -i $docs
-done
+##fix lines ending 
+#for docs in \
+#      docs/develop/{protocol/'*',sounds/*,sms/'*'}    \
+#      docs/develop/{*.htm,*.txt}                      \
+#      docs/user/*.* ; do
+#      sed -e 's/\r//' -i $docs
+#done
 
 
 %install
@@ -113,11 +113,11 @@ make -C build  install DESTDIR=$RPM_BUILD_ROOT
 rm -f $RPM_BUILD_ROOT%{_libdir}/libGammu.a
 
 #Improve installed documentations directories
-mkdir devel_docs
-mkdir -p docs/symbian
-cp -pR $RPM_BUILD_ROOT%{_docdir}/%{name}/devel/* devel_docs
-cp -pR $RPM_BUILD_ROOT%{_docdir}/%{name}/symbian/* docs/symbian
-cp -p $RPM_BUILD_ROOT%{_docdir}/%{name}/*.* .
+#mkdir devel_docs
+#mkdir -p docs/symbian
+#cp -pR $RPM_BUILD_ROOT%{_docdir}/%{name}/devel/* devel_docs
+#cp -pR $RPM_BUILD_ROOT%{_docdir}/%{name}/symbian/* docs/symbian
+#cp -p $RPM_BUILD_ROOT%{_docdir}/%{name}/*.* .
 rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
 
 %find_lang %{name}
@@ -135,16 +135,17 @@ rm -rf $RPM_BUILD_ROOT
 
 %files -f %{name}.lang
 %defattr(-,root,root,-)
-%doc COPYING ChangeLog README docs/* BUGS SUPPORTERS *.html *.txt
+%doc COPYING ChangeLog README docs/* *.txt
 %{_bindir}/%{name}*
 %{_bindir}/jadmaker
 %{_mandir}/man1/*.gz
 %{_mandir}/man5/*.gz
 %{_mandir}/man7/*.gz
-%{_mandir}/cs/man1/*.gz
-%{_mandir}/cs/man5/*.gz
-%{_mandir}/cs/man7/*.gz
+#%{_mandir}/cs/man1/*.gz
+#%{_mandir}/cs/man5/*.gz
+#%{_mandir}/cs/man7/*.gz
 %config %{_sysconfdir}/bash_completion.d/%{name}
+%{_datadir}/%{name}
 
 %files         libs
 %defattr(-,root,root,-)
@@ -156,13 +157,18 @@ rm -rf $RPM_BUILD_ROOT
 
 %files         devel
 %defattr(-,root,root,-)
-%doc devel_docs/*
+#%doc devel_docs/*
 %{_libdir}/*.so
 %{_libdir}/pkgconfig/*.pc
 %{_includedir}/%{name}
 
 
 %changelog
+* Thu Sep 29 2011 Karel Volny <kvolny@redhat.com> - 1.30.0-1
+- Update release.
+- Patch gammu-1.26.1-exec.patch no longer needed.
+- Some docs are no longer present.
+
 * Wed Mar 23 2011 Dan Horák <dan@danny.cz> - 1.26.1-6
 - rebuilt for mysql 5.5.10 (soname bump in libmysqlclient)

Comment 2 Karel Volný 2011-09-29 15:15:52 UTC
new wammu:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3388539

diff --git a/wammu.spec b/wammu.spec
index b06a7cb..55016ae 100644
--- a/wammu.spec
+++ b/wammu.spec
@@ -1,14 +1,14 @@
 %define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')
 
 Name:          wammu
-Version:       0.30.1
-Release:       4%{?dist}
+Version:       0.36
+Release:       1%{?dist}
 Summary:       Mobile Phone Manager - Gammu GUI
 
 Group:         Applications/Communications
 License:       GPLv2+
 URL:           http://wammu.eu/
-Source0:       ftp://dl.cihar.com/wammu/latest/%{name}-%{version}.tar.bz2
+Source0:       http://sourceforge.net/projects/gammu/files/%{name}/%{version}/%{name}-%{version}.tar.bz2
 BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildArch:     noarch
@@ -70,11 +70,24 @@ rm -rf $RPM_BUILD_ROOT
 %{_datadir}/pixmaps/*
 %{_datadir}/applications/%{name}.desktop
 %{_mandir}/man1/*.1.gz
+%lang(CZ) %{_mandir}/cs/man1/*.1.gz
+%lang(DE) %{_mandir}/de/man1/*.1.gz
+%lang(ES) %{_mandir}/es/man1/*.1.gz
+%lang(FR) %{_mandir}/fr/man1/*.1.gz
+%lang(IT) %{_mandir}/it/man1/*.1.gz
+%lang(NL) %{_mandir}/nl/man1/*.1.gz
+%lang(BR) %{_mandir}/pt_BR/man1/*.1.gz
+%lang(RU) %{_mandir}/ru/man1/*.1.gz
+%lang(SK) %{_mandir}/sk/man1/*.1.gz
 %{python_sitelib}/Wammu
 %{python_sitelib}/%{name}-%{version}-py?.?.egg-info
 
 
 %changelog
+* Thu Sep 29 2011 Karel Volný <kvolny@redhat.com> - 0.36-1
+- Update release.
+- Package localized manpages.
+
 * Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.1-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

Comment 3 Onyeibo Oku 2011-12-02 19:32:46 UTC
Now running F16 and its still not in the repos.  You want testing?

Comment 4 Karel Volný 2012-01-12 18:04:00 UTC
(In reply to comment #3)
> Now running F16 and its still not in the repos.  You want testing?

well, it seems rather than testing it needs a new (co-)maintainer ... any volunteers?

Comment 5 Onyeibo Oku 2012-01-12 19:13:33 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Now running F16 and its still not in the repos.  You want testing?
> 
> well, it seems rather than testing it needs a new (co-)maintainer ... any
> volunteers?

What is required?  I am willing.

Comment 6 Karel Volný 2012-01-13 10:05:31 UTC
(In reply to comment #5)
> What is required?  I am willing.

please get familiar with the documentation you can find at
https://fedoraproject.org/wiki/Category:Package_Maintainers

it will lead you to
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers
which is the usual process - it is set for submitting a new package while becoming a maintainer of an already existing package is different, however these docs should give you enough pointers what to do/where to ask (sorry, I'm not familiar with the process myself)

Comment 7 Xavier Hourcade 2012-02-27 18:34:02 UTC
If it may help, yet someone called "Nijel" provides F16 repo,
with (some) src.rpm too. Tried wammu so far and it works here.

  http://software.opensuse.org/search?baseproject=home:Nijel&q=wammu&include_home=true
  http://download.opensuse.org/repositories/home:/Nijel/Fedora_16/home:Nijel.repo

  # yum install pybluez

  # cat <<EOF> /etc/yum.repos.d/nijel.repo
[nijel]
name=Gammu and Wammu packages (Fedora_16)
type=rpm-md
baseurl=http://download.opensuse.org/repositories/home:/Nijel/Fedora_16/
gpgcheck=1
gpgkey=http://download.opensuse.org/repositories/home:/Nijel/Fedora_16/repodata/repomd.xml.key
enabled=0
EOF

  # yum --enable-repo=nijel install wammu

Comment 8 Xavier Hourcade 2012-02-27 18:44:41 UTC
Sorry for the typo, last step is :

  # yum --enablerepo=nijel install wammu

Comment 9 Onyeibo Oku 2012-12-27 10:54:31 UTC
Any chance of getting this update in Fedora-18? 

Gammu now reads 1.32.0 while Wammu is at 0.36.  Fedora repositories still record 1.26.1-9.fc18 for Gammu and 0.30.1-6.fc18 for Wammu.  I haven't been able to start the packaging lessons because the applications I feel I can maintain are either already there or not compliant with fedora licence standards.

nijel doesn't provide wammu and I suspect the shift to python 3.3 means a new compilation.

Comment 10 Fedora End Of Life 2013-01-16 15:05:55 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Fedora End Of Life 2013-02-13 16:27:22 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Karel Volný 2013-08-22 10:09:32 UTC
we still have old version in Fedora ...

we really need a new volunteer here

if someone is interested, please file a new review request[1] (and make this bug a duplicate of it then) for the new version of gammu - but keep the original package history (clone from git[2] then make the changes) and instead of new package request use a package change request[3] at the end of the review process

[1] the original review request for gammu is bug #239525, for wammu it is bug #239527 and python-gammu is bug #239526 - but as we are skipping several versions, switch from python2 to python3, and, in addition, it gets a new maintainer, I believe re-doing the review is the best approach here

[2] git clone git://pkgs.fedoraproject.org/gammu

[3] https://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages

Comment 13 Sergio Monteiro Basto 2013-08-31 02:25:01 UTC
Karel , I know where to find packages owner (Xavier) but what I should ask ?

Comment 14 Sergio Monteiro Basto 2013-08-31 16:55:31 UTC
This report have 2 years old , should I update to most recent version or use the version that is reported ?

Comment 15 Onyeibo Oku 2013-09-01 03:13:17 UTC
Latest version is most appropriate.  Fedora should be cutting-edge afterall

Comment 16 Fedora Update System 2013-09-01 15:46:58 UTC
gammu-1.30.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gammu-1.30.0-1.fc19

Comment 17 Fedora Update System 2013-09-01 15:50:00 UTC
gammu-1.30.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gammu-1.30.0-1.fc18

Comment 18 Fedora Update System 2013-09-01 18:56:23 UTC
wammu-0.36-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wammu-0.36-1.fc19

Comment 19 Fedora Update System 2013-09-01 18:59:58 UTC
wammu-0.36-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wammu-0.36-1.fc18

Comment 20 Fedora Update System 2013-09-01 23:07:02 UTC
Package gammu-1.30.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gammu-1.30.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15626/gammu-1.30.0-1.fc18
then log in and leave karma (feedback).

Comment 21 Karel Volný 2013-09-03 16:12:26 UTC
(In reply to Onyeibo from comment #15)
> Fedora should be cutting-edge afterall

well, I'd prefer not to be cut :-)

thanks, Sergio ... btw, what's up with Xavier?

Comment 22 Karel Volný 2013-09-03 16:30:46 UTC
(In reply to Karel Volný from comment #21)
> (In reply to Onyeibo from comment #15)
> > Fedora should be cutting-edge afterall
> 
> well, I'd prefer not to be cut :-)

ugh, now I've noticed that the update is 1.30 while wammu.eu has 1.33 ... I've not meant that we should stick with the old version, but rather to use latest stable versions, "cutting edge" means alpha, nightly or vcs checkout for me ... could we get 1.33 in Rawhide/for F20?

Comment 23 Sergio Monteiro Basto 2013-09-03 16:51:12 UTC
(In reply to Karel Volný from comment #22)
> (In reply to Karel Volný from comment #21)
> > (In reply to Onyeibo from comment #15)
> > > Fedora should be cutting-edge afterall
> > 
> > well, I'd prefer not to be cut :-)
> 
> ugh, now I've noticed that the update is 1.30 while wammu.eu has 1.33 ...
> I've not meant that we should stick with the old version, but rather to use
> latest stable versions, "cutting edge" means alpha, nightly or vcs checkout
> for me ... could we get 1.33 in Rawhide/for F20?

I understand at first time , I optionally used the work done here (in this bug report), is tested and was more quickly to commit, next step is update to 1.33 , after 1.30 land on stables ( next week ), I put 1.33 on testings .

About Xavier, I think he is very busy and don't respond to emails, I met him in the rpmfusion project, it keeps the infrastructure and it seems that trust in me and gave me access to commit .

Comment 24 Fedora Update System 2013-09-09 14:45:58 UTC
gammu-1.33.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gammu-1.33.0-1.fc20

Comment 25 Fedora Update System 2013-09-09 23:49:18 UTC
gammu-1.30.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2013-09-09 23:52:22 UTC
gammu-1.30.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2013-09-11 01:52:51 UTC
wammu-0.36-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2013-09-11 01:56:06 UTC
wammu-0.36-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2013-09-11 15:21:15 UTC
gammu-1.33.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gammu-1.33.0-1.fc19

Comment 30 Fedora Update System 2013-09-11 15:22:51 UTC
gammu-1.33.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gammu-1.33.0-1.fc18

Comment 31 Fedora Update System 2013-09-30 00:45:49 UTC
gammu-1.33.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2013-10-23 03:28:58 UTC
gammu-1.33.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2013-11-07 03:34:16 UTC
gammu-1.33.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.